# Uses of Interface
com.sun.source.tree.LiteralTree

Packages that use LiteralTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of LiteralTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type LiteralTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitLiteral(LiteralTree node, P p)`
Visits a `LiteralTree` node.

## Uses of LiteralTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type LiteralTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitLiteral(LiteralTree node, P p)`
Visits a `LiteralTree` node.
`R`
TreeScanner.`visitLiteral(LiteralTree node, P p)`
Visits a `LiteralTree` node.